Summary:	Fortune-mod quotes from the Goodies.
Name:		fortune-mod-goodies
Version:	1.0
Release:	1
Copyright:	GPL
Group:		Amusements/Games
URL:		ftp://ftp.uu.net/usenet/rec.arts.tv/
Vendor:		Daniel Bowen <edb134t@monu6.cc.monash.edu.au>
Source:		ftp://ftp.uu.net/usenet/rec.arts.tv/goodies.quotes.Z
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
Requires:	/usr/games/fortune
BuildArch:	noarch

%description
Quotes from the British comedy "The Goodies" for use with fortune-mod.
 
%prep
%setup -q -c -T -n %{name}-%{version}
cp %{_sourcedir}/goodies.quotes.Z .

%build
# I had to do a lot of dancing around in the translations, because I
# couldn't get sed to hadle newlines reliably and tr won't insert characters.
compress -d goodies.quotes.Z
(	cat goodies.quotes \
		| head -n 122 \
		| tail -n 105 \
		| grep -v --regexp=----- \
		| ( cat - ; echo ) \
		| tr "\n" "~" \
		| sed -e 's,~~~,~~,g' -e 's,~~,~%~,g' \
		| tr "~" "\n"
	cat goodies.quotes \
		| head -n 168 \
		| tail -n 44 \
		| ( cat - ; echo ) \
		| tr "\n" "~" \
		| sed -e 's,~~~,~%~,g' \
		| tr "~" "\n"
	cat goodies.quotes \
		| head -n 196 \
		| tail -n 26 \
		| grep -v --regexp=----- \
		| ( cat - ; echo ) \
		| tr "\n" "~" \
		| sed -e 's,~~~,~~,g' -e 's,~~,~%~,g' \
		| tr "~" "\n"
	cat goodies.quotes \
		| head -n 222 \
		| tail -n 24 \
		| ( cat - ; echo ) \
		| tr "\n" "~" \
		| sed -e 's,~~~,~%~,g' \
		| tr "~" "\n"
	cat goodies.quotes \
		| head -n 260 \
		| tail -n 36 \
		| grep -v --regexp=----- \
		| ( cat - ; echo ) \
		| tr "\n" "~" \
		| sed -e 's,~~~,~~,g' -e 's,~~,~%~,g' \
		| tr "~" "\n"
) | (	quote=0
	read line
	while [ ! $? = 1 ] ; do
		if [ "$line" = "%" ] ; then
			quote=$[ $quote + 1 ]
			echo
			echo "    --The Goodies"
			echo -n "    --"
			case "$quote" in
				1|2|3|4|5)
					echo "Radio Goodies"
					;;
				6)
					echo "National Gallery"
					;;
				7|8)
					echo "Nice Person of the Year"
					;;
				9|10)
					echo "The Witch"
					;;
				11)
					echo "Dinosaurs"
					;;
				12)
					echo "Clown Virus"
					;;
				13|14|15)
					echo "Wacky Wales"
					;;
				16|17|18)
					echo "Rolf Harris Plague"
					;;
				19)
					echo "Rome Antics"
					;;
				20)
					echo -n "Eurovision Raving "
					echo "Loony Contest"
					;;
				21)
					echo "The Cream Mine"
					;;
				22)
					echo -n "Daylight Robbery on "
					echo "The Orient Express"
					;;
				23|24|25)
					echo -n "It Might as well be "
					echo "String"
					;;
				26)
					echo "2001 and a bit"
					;;
				27)
					echo -n "Almost Live - "
					echo "The Funky Gibbon"
					;;
				28)
					echo "Royal Command"
					;;
				29|30|31)
					echo "Timita"
					;;
				32|33)
					echo "UFO"
					;;
				34)
					echo "Soccer Hooligans"
			esac
		fi
		echo "$line"
		read line
	done
) > goodies
strfile goodies
cat goodies.quotes \
	| ( head -n 15 ; tail -n 5 ) \
	> README

%install
rm -rf %{buildroot}
install -D -m 644 goodies %{buildroot}/%{prefix}/share/games/fortunes/
install -D -m 644 goodies.dat %{buildroot}/%{prefix}/share/games/fortunes/

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%{prefix}/share/*/*/*

%changelog
* Tue Jan 18 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- original rpm
- building requires tr from package textutils
- building requires sed
